Support » Plugin: Auto Menu From Pages » Fatal error on activation NOT resolved

  • Resolved hixmyrick

    (@hixmyrick)


    This issue has been raised earlier and is marked “resolved.” However I get the same error message and can’t activate the plugin. I am starting a new topic in hopes this can be fixed. I have deactivated other plugins and still get the error.

    Plugin could not be activated because it triggered a fatal error.

    Fatal error: Using $this when not in object context in /home/perceptd/public_html/sites/velazquezresearch.com/dev/wp-content/plugins/auto-menu-from-pages/admin/class-auto-menu-from-pages-admin.php on line 345

    The active plugins on my site are:

    Add Admin CSS
    Admin Menu Editor
    AGP Font Awesome Collection
    Contact Form 7
    Delightful Downloads
    Elegant Themes Updater
    Enable Media Replace
    FD Footnotes
    Flamingo
    Force Regenerate Thumbnails
    Justified Image Grid
    Media Library Assistant
    Nested Pages
    Post Snippets
    SG CachePress
    TablePress
    WP Add Mime Types
    WP Maintenance Mode
    WP-Sweep

    https://wordpress.org/plugins/auto-menu-from-pages/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Update: I installed version 1.2.0 and was able to activate the plugin.

    Plugin Author Braad

    (@braad)

    Hello hixmyrick,

    Thank you for the report. Just to confirm, you are saying that you get the fatal error on the latest version 1.3.1, but installing the older version 1.2.0 works? Or are you saying that you were getting the error on an older version and just upgraded to 1.2.0, and now it is working?

    Plugin Author Braad

    (@braad)

    Hello again hixmyrick,

    After some more investigation, I believe the issue is explained here: http://stackoverflow.com/questions/19316623/call-class-method-from-inside-array-map-anonymous-function

    It appears that the fatal error will only happen if you’re on PHP 5.2 or older. If you can update your PHP version then this should fix the issue. We’re still going to try to update the plugin with a fix for PHP 5.2, so you can look out for that also.

    Sorry for the issue, and thanks again for the report!

    Hi Braad,

    I had downgraded the plugin to version 1.2.0 to get it activated.

    After reading your response, I checked my PHP version and it was 5.3.29. I upgraded PHP to 5.6.17 and was able to update the the plugin to the current version of 1.3.1 with no problems.

    Thanks for the quick response and info.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Fatal error on activation NOT resolved’ is closed to new replies.